Can't install any new software!

Discussions Regarding Software

Moderator: Moderators

Can't install any new software!

Postby andyb » Fri Aug 22, 2008 10:35

Hmm...

Just reinstalled Sabayon after a hardware problem and I can't manage to install any new software properly, either using Entropy/Equo, or by emerge. I don't get any error messages, and everything appears to work, but then when I try to run the installed program nothing happens, or sometimes a few seconds of activity, then nothing. I've tried running from the konsole (yes, I'm using KDE) and from the menu.

Everything that was installed originally works, except for gwenview, which I tried to reinstall, unsuccessfully.

I'm sure this is a newbie doing something stupid- anyone able to help out?

Thanks in advance
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby Thev00d00 » Fri Aug 22, 2008 10:58

More Infomation please!

Which programs?
Which Sabayon version?
Pod or DVD?
Which version on Entropy?
Some output from failing programs?
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 11:10

Ok- thanks vOOdOO

Programs failing include gwenview, kiax, yate

I'm using the dvd install of 3.5, with everything up to date

Not sure how to find the entropy version, but it should be the latest

There's no visible output from the failing programs, just a few seconds of activity in the taskbar, then nothing. Is there a log somewhere I could get some more details?
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby wolfden » Fri Aug 22, 2008 11:18

Please explain what you are doing, what program are you trying to update?

Did you equo update and equo world?

What is the error if any if you run it from terminal?

What does work?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 11:44

Yes, I updated equo fully

Kiax- terminal indicates "segmentation fault". Isn't that a hardware problem? Kiax worked on the previous install ok (up until last week)

Yate- no output other than "Yate engine is initialized and starting up" but it remains invisible!

Gwenview- "error while loading shared libraries: libexiv2.so.2: cannot open shared object file: No such file or directory" I've searched for this lib, but can't locate it. I shall google for it.

So far as I know everything that was installed when I reinstalled the dvd is working, with the exception of gwenview. I obviously haven't tried opening every application yet, but will have a play now and see if there's anything else.

Thanks
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby Thev00d00 » Fri Aug 22, 2008 11:58

well to solve the gwenview you could try to reinstall "libexiv2"
Image
Please report Bugs on the Bugzilla, not forum
Please Adopt an Unanswered thread
Website / Blog : v00d00.net
twitter: Follow Me
G+: Circle Me
Thev00d00
Generally Awesome (tm)
 
Posts: 1472
Joined: Wed Feb 21, 2007 15:52
Location: United Kingdom

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 12:13

Yes- I tried that:

"No match for libexiv2 in repositories"
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby sjieke » Fri Aug 22, 2008 12:17

for kde it is
Code: Select all
equo install libkexiv2
this should also pull the exiv2 package.
If you only want exiv2 you need to use
Code: Select all
equo install exiv2
sjieke
Technological Hen
 
Posts: 321
Joined: Thu Mar 01, 2007 10:46
Location: Maldegem, Belgium

Re: Can't install any new software!

Postby andyb » Fri Aug 22, 2008 12:45

Thanks sjieke

I installed as you suggested, then tried to open gwenview:

"gwenview: error while loading shared libraries: libexiv2.so.2: cannot open shared object file: No such file or directory"
andyb
Baby Hen
 
Posts: 12
Joined: Wed Jul 09, 2008 18:01

Re: Can't install any new software!

Postby sjieke » Fri Aug 22, 2008 13:09

I think you may have a version issue.
Looking at the content of the exiv2 package in entropy (media-gfx/exiv2-0.17) is see that it contains following library files
  • /usr/lib/libexiv2.a
  • /usr/lib/libexiv2.la
  • /usr/lib/libexiv2.so
  • /usr/lib/libexiv2.so.4
  • /usr/lib/libexiv2.so.4.0.0
As you can see libexiv2.so.2 isn't one of them.

What you can do is check what you have on your system. You can use the command
Code: Select all
ls -l /usr/lib/ |grep 'libexiv'

If you don't have the file libexiv2.so.2, then you can try reinstalling gwenview again, in the hope it links to the correct library.
If that still doesn't work, I would create an extra symlink 'libexiv2.so.2' that points to 'libexiv2.so'. Then gwenview will find the file and use 'libexiv2.so'. If 'libexiv2.so.4' is backwards compatible with 'libexiv2.so.2' then gwenview will work again.
sjieke
Technological Hen
 
Posts: 321
Joined: Thu Mar 01, 2007 10:46
Location: Maldegem, Belgium

Next

Return to Software in General

Who is online

Users browsing this forum: No registered users and 3 guests